Skip to content. | Skip to navigation

You are here: Home / Products / GS-911 / Support / Frequently Asked Questions (FAQs) / Which GS-911 software to use

Which GS-911 software to use

« Back to Table of Contents

There are several software applications for GS-911, each specific to a particular platform, namely:

  • The GS-911 Windows PC Software
    • This is the standard software component of the GS-911 Diagnostic Tool
    • can be used with all our hardware diagnostic interfaces
    • only works on Windows PCs or in Windows virtual environments
    • downloaded from this web site using the GS-911 Downloader utility
    • see the minimum PC requirements.

 

  • GS-911wifi software:
    • Any HTML5 web browser - if you have a GS-911wifi interface and WiFi, you can perform the same functions as with the Windows PC software by using a compatible web browser.
    • The GS-911wifi mobile app - lets you easily locate and operate your GS-911wifi interface on a WiFi network from your iOS or Android device
    • The GS-911wifi Utility - lets you register, configure and operate your GS-911wifi interface from Windows or Mac

 

  • GS-911 Bluetooth software (only emergency diagnostic functions):
    • The GS-911 Android Software  - if you have a GS-911 Bluetooth interface - for all Android devices that run Android OS. See FAQ "does it run on my Android?"
    • The GS-911 BlackBerry version - if you have a GS-911 Bluetooth interface - for all BlackBerry phones (except Z10 and other QNX based phones - use the Android version - please see: Will it run on my BlackBerry? )
    • The GS-911Mobile.jar version  - if you have a GS-911 Bluetooth interface -  for all Java midlet enabled (and JSR-82 compliant) mobile phones, like Nokia, Motorola, Samsung etc). Also for the new BlackBerries that are JSR-82 compliant (running software 4.2.1 or newer)
    • The GS911Verifier - for use ONLY on the Java midlet enabled mobile phones, to test whether your device is capable of running the GS911Mobile.jar version. See related FAQ "What does the GS911Verifier do?".

 

So let's summarize this in a table by platform:

 

Desktop/Laptop versions:

Operating system
GS-911 version
Comment
Windows 10 Win8logo32.png Use the Windows PC version. Supports 32bit & 64bit versions
Windows 8 Win8logo32.png Use the Windows PC version. Supports 32bit & 64bit versions
Windows 7 Win7logo32.png Use the Windows PC version. Supports 32bit & 64bit versions
Windows Vista winvistalogo.jpg Use the Windows PC version. Supports 32bit & 64bit versions
Windows XP winxplogo.jpg Use the Windows PC version. Supports 32bit & 64bit versions
MAC OS X  not available

No native version planned.

Use the Windows PC version under Parallels, Fusion or VirtualBox ( see related FAQ)

OR

launch the GS-911wifi web interface from the GS-911wifi Utility.

Linux  not available

No native version planned.

Use the Windows PC version under VirtualBox

OR

use the GS-911wifi web interface.

All other PC OS flavors  not available

No native versions planned.

Use the GS-911wifi web interface.

 

Mobile (phone & tablet) versions for the GS-911wifi interfaces:

Type
GS-911 version
Comment
Android version android_logo_32.png Use the GS-911wifi Android application - requires Android 2.X or higher.
iPhone ios32.png Use the GS-911wifi iOS application. See related FAQ
Other mobile platforms no native app available Use any HTML5 web browser. See related details

 

Mobile (phone & PDA) versions for the GS-911 Bluetooth interfaces:

see the "how-will-i-know-whether-it-will-work-on-my-mobile-phone" FAQ

Type
GS-911 version
Comment
Android version android_logo_32.png Use the Android application - requires Android 2.X or higher. See FAQ "does it run on my Android?" for Known Issues.
BlackBerry bblogo.jpg Use the BlackBerry application (except Z10 and other ONX based BB's - please see: Will it work on my BlackBerry?
ALL Java midlet capable and JSR-82 compliant mobile devices gs911logo.jpg Use the GS-911Mobile version. For use with your typical Nokia, Sony-Ericsson, Samsung, Motorola etc. as well as the newer BlackBerry devices (running software 4.2.1 or newer). Your device has to be JSR-82 compliant (test compliance with the GS911Verifier.jar - See more info on GS911Verifier above.)
Windows Phone not available see related FAQ
iPhone not available see related FAQ


Download your software from the Downloads page... using the GS-911 Downloader.